classification
Title: improve docstrings of sys.float_info
Type: enhancement Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: ZackerySpytz, cheryl.sabella, docs@python, mark.dickinson, nanjekyejoannah, sir-sigurd
Priority: normal Keywords: patch

Created on 2019-08-29 03:16 by sir-sigurd, last changed 2020-05-24 11:32 by mark.dickinson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19218 merged ZackerySpytz, 2020-03-29 20:13
Messages (8)
msg350703 - (view) Author: Sergey Fedoseev (sir-sigurd) * Date: 2019-08-29 03:16
In [8]: help(sys.float_info)

...

 |  
 |  dig
 |      DBL_DIG -- digits
 |

This is not very helpful, https://docs.python.org/3/library/sys.html#sys.float_info is more verbose, so probably docstrings should be updated from where.
msg350756 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2019-08-29 08:29
Unhelpful indeed. +1 to updating those docstrings to match the details at docs.python.org.
msg350801 - (view) Author: Joannah Nanjekye (nanjekyejoannah) * (Python committer) Date: 2019-08-29 16:41
See also #37970
msg350804 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2019-08-29 16:52
@nanjekyejoannah I'm not seeing how that issue is related to this one (except that they're both about docstrings). Can you elaborate?
msg350805 - (view) Author: Joannah Nanjekye (nanjekyejoannah) * (Python committer) Date: 2019-08-29 16:58
I just referenced another area that may need help updating/improving doc strings.
msg369748 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2020-05-23 20:07
@mark.dickinson, please take a look at the PR when you get a chance.  Thanks!
msg369775 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2020-05-24 10:03
New changeset fdc5a94279736a7715dd35c5354a3c27098d0897 by Zackery Spytz in branch 'master':
bpo-37973: Improve the docstrings of sys.float_info (GH-19218)
https://github.com/python/cpython/commit/fdc5a94279736a7715dd35c5354a3c27098d0897
msg369790 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2020-05-24 11:32
PR applied. Thank you!
History
Date User Action Args
2020-05-24 11:32:06mark.dickinsonsetstatus: open -> closed
resolution: fixed
messages: + msg369790

stage: patch review -> resolved
2020-05-24 10:03:56mark.dickinsonsetmessages: + msg369775
2020-05-23 20:07:46cheryl.sabellasetnosy: + cheryl.sabella
messages: + msg369748
2020-03-29 20:13:15ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request18580
stage: patch review
2019-08-29 16:58:46nanjekyejoannahsetmessages: + msg350805
2019-08-29 16:52:21mark.dickinsonsetmessages: + msg350804
2019-08-29 16:41:25nanjekyejoannahsetnosy: + nanjekyejoannah
messages: + msg350801
2019-08-29 08:29:06mark.dickinsonsetnosy: + mark.dickinson
messages: + msg350756
2019-08-29 03:16:57sir-sigurdcreate